"""fc2d: import_settings.phash_threshold

Revision ID: 0006
Revises: 0005
Create Date: 2026-05-17

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

revision: str = "0006"
down_revision: Union[str, None] = "0005"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column(
        "import_settings",
        sa.Column(
            "phash_threshold", sa.Integer(),
            nullable=False, server_default="10",
        ),
    )


def downgrade() -> None:
    op.drop_column("import_settings", "phash_threshold")
